1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Downgrading - Help needed

Discussion in 'Sony PSP - Mod and firmware discussion' started by 666nutter, Jul 10, 2007.

  1. 666nutter

    666nutter Member

    Joined:
    Jul 10, 2007
    Messages:
    2
    Likes Received:
    0
    Trophy Points:
    11
    I have a PSP with firmware 2.82 and I want to run homebrew games.
    The PSP doesn't have anything written on the green plastic thing on the inside.

    I have tried to install a GBA emulator onto my PSP but found that it wont work on 2.82 (http://files.pspupdates.qj.net/cgi-bin/cfiles.cgi?0,0,0,0,42,1611)

    What do I need to downgrade/upgrade my firmware and what is the best firmware to run homebrew games and this emulator on?

    Thanks
     
  2. 666nutter

    666nutter Member

    Joined:
    Jul 10, 2007
    Messages:
    2
    Likes Received:
    0
    Trophy Points:
    11
    Oh btw I have a copy of GTA LCS but its ULES-00151#2 I have read that it is the wrong version to help anything? Or do I not need it at all
     

Share This Page